Package org.silverpeas.components.webpages.notification

## Class WebPagesInstanceManualUserNotification

- java.lang.Object
- - org.silverpeas.core.notification.user.AbstractComponentInstanceManualUserNotification
  - - org.silverpeas.components.webpages.notification.WebPagesInstanceManualUserNotification

- All Implemented Interfaces:
    `org.silverpeas.core.notification.user.ComponentInstanceManualUserNotification`

      @Named
      public class WebPagesInstanceManualUserNotification
      extends org.silverpeas.core.notification.user.AbstractComponentInstanceManualUserNotification

  Author:
    silveryocha

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.silverpeas.core.notification.user.ComponentInstanceManualUserNotification

      `org.silverpeas.core.notification.user.ComponentInstanceManualUserNotification.Constants`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WebPagesInstanceManualUserNotification()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.silverpeas.core.notification.user.UserNotification` | `createUserNotification​(org.silverpeas.core.notification.user.NotificationContext context)` |

    - ### Methods inherited from class org.silverpeas.core.notification.user.AbstractComponentInstanceManualUserNotification

      `check, initializesWith`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebPagesInstanceManualUserNotification

          public WebPagesInstanceManualUserNotification()

  - ### Method Detail

    - #### createUserNotification

          public org.silverpeas.core.notification.user.UserNotification createUserNotification​(org.silverpeas.core.notification.user.NotificationContext context)

      Specified by:
        `createUserNotification` in class `org.silverpeas.core.notification.user.AbstractComponentInstanceManualUserNotification`